ubuntu/+source/tracker:ubuntu/lucid

Last commit made on 2010-03-08
Get this branch:
git clone -b ubuntu/lucid https://git.launchpad.net/ubuntu/+source/tracker
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/lucid
Repository:
lp:ubuntu/+source/tracker

Recent commits

673a80f... by Martin Pitt on 2010-03-08

Import patches-unapplied version 0.6.95-1ubuntu6 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 9c3ac76264ea03d642c7f23a57d15bfcf2f45c15

New changelog entries:
  * Add 22-drop-gmime.patch: Drop unused gmime dependency (patch backported
    from upstream git). This allows us to drop the obsolete gmime2.2.
  * 99_autotools.patch: Refresh.
  * debian/control: Drop libgmime-2.0-2-dev build dependency.

9c3ac76... by Chris Coulson on 2010-02-05

Import patches-unapplied version 0.6.95-1ubuntu5 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 9903bc318cb5a6b6331cbe2bfa66d0c415f97842

New changelog entries:
  * debian/patches/21-link-lvorbisfile.patch:
    - Make sure libextract-vorbis.so links against libvorbisfile as it
      uses a symbol from it. This ensures that the correct depends get
      added (LP: #509578)

9903bc3... by Michael Vogt on 2010-01-26

Import patches-unapplied version 0.6.95-1ubuntu4 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 929de1e42766c16ffcdaa3467dc9e623c2abb49f

New changelog entries:
  * debian/control:
    - add missing Replaces on deskbar-applet for libdeskbar-tracker
      (LP: #474324) because deskbar-applet changed its modulesdir
      in version 2.27.92-0ubuntu1

929de1e... by Luke Yelavich on 2009-10-26

Import patches-unapplied version 0.6.95-1ubuntu3 to ubuntu/karmic

Imported using git-ubuntu import.

Changelog parent: 052c398ec2378d626d79a4351d2349102fbf6571

New changelog entries:
  * debian/control: Add python-gtk2-dev to build-depends, to fix FTBFS on i386

052c398... by Robert Ancell on 2009-10-26

Import patches-unapplied version 0.6.95-1ubuntu2 to ubuntu/karmic

Imported using git-ubuntu import.

Changelog parent: adaa40fc641472569e57fc1fc9066c497b8650e5

New changelog entries:
  * debian/libdeskbar-tracker.install:
    - Use installed deskbar modules instead of hard-coded path (LP: #437167)
  * debian/control:
    - Build-depend on deskbar-applet (required to get module directory)

adaa40f... by Chris Coulson on 2009-06-15

Import patches-unapplied version 0.6.95-1ubuntu1 to ubuntu/karmic

Imported using git-ubuntu import.

Changelog parent: bab24d811088f479e5c1afa0895085f0337f1d37

New changelog entries:
  * Merge from debian unstable (LP: #387440), remaining changes:
    - debian/control:
      + Do not build-depend on universe dependencies:
        libunac1-dev, libqdbm-dev.
      + tracker depends on procps.
    - debian/30-tracker.conf:
      + Increase maximum number of inotify watches to 524288.
    - debian/rules:
      + Don't use external qdbm.
      + Pass --disable-unac to configure. This version won't
        automatically build without UNAC support when it
        is not installed now.
    - debian/tracker.install:
      + Don't install the DBus service so trackerd is not automatically
        started when other software try to see if it's already running
    - debian/patches/02_no_kde_autostart.patch:
    - debian/patches/03_dont_activate_indexing_and_watching.patch:
      + Don't active indexing nor watching as decided by the
        technical board.
    - debian/patches/05_am_maintainer_mode.patch:
      + Enable AM_MAINTAINER_MODE, to stop the build system being updated,
        which will fail in the buildd anyway.
    - debian/patches/11_drop_evolution_module.patch:
      + Don't build the evolution indexer module.
    - debian/patches/20_index_error_auto_reindex.patch:
      + Automatically reindex if the index becomes corrupt as opposed
       to displaying a notification with reindex action, which requires
       user intervention and results in a confusing fallback notification.
       Reindexing is the only sane way to recover from a corrupt index
       anyway.
    - debian/patches/20-tracker-defaults.patch:
      + Don't disable the evolution module in the default config - we
        don't even install the module in Ubuntu so there's no point in
        doing this.
    - debian/patches/99_autotools.patch:
      + Autotools update.
    - debian/tracker.postinst:
      + Start procps to apply "sysctl.d/30-tracker.conf"
    - debian/tracker.py:
      + Apport hook to ignore tracker-extract crashes. The hook is not
        installed since tracker-extract no longer limits memory with
        setrlimit().
  * debian/tracker.install:
    - Don't install tracker.py in /usr/share/apport/package-hooks/, as
      memory limits using setrlimit() were disabled in 0.6.93.
    - Don't install the push-modules - they don't work and have been disabled
      upstream.
  * debian/control:
    - Don't build-depend on evolution-dev or evolution-data-server-dev.
      The push-modules were disabled upstream, so these dependencies are
      not required.
  * Dropped patches merged upstream:
    - 21_remove_all_indexes_on_reindex.patch.
    - 22_flush_stop_on_index_error.patch.
    - 23_indexer_pause_on_index_error.patch.
    - 30_dont_index_removable_media.patch.
  * debian/rules:
    - Drop obsolete --enable-external-sqlite configure flag.
  * debian/patches/11_drop_evolution_module.patch:
    - Updated to hide the Evolution indexing option from the preferences
      dialog.

bab24d8... by Michael Biebl on 2009-05-23

Import patches-unapplied version 0.6.95-1 to debian/squeeze

Imported using git-ubuntu import.

Changelog parent: a16f780b0add1ca60d8aca752f291c5056e84a8a

New changelog entries:
  * New upstream release.
  * Stop installing the kmail push module for now as kmail support is not yet
    mature enough.
  * debian/libtrackerclient0.symbols
    - Updated for new API additions.

a16f780... by Michael Biebl on 2009-05-08

Import patches-unapplied version 0.6.94-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0a28b8ce95a5ea3fa01eef5391d48c406acbf9e2

New changelog entries:
  * New upstream release.
  * Drop Build-Depends on deskbar-applet and python-gtk2-dev again and install
    the tracker deskbar-applet module manually instead.
  * debian/patches/20-tracker-defaults.patch
    Create configuration file with more conservative defaults.
    (Closes: #525107)
    - Disable evolution plugin by default.
    - Set throttle level to 10.
    NOTE: An existing ~/.config/tracker/tracker.cfg will *not* be updated
    automatically. This change only affects newly created configuration files.

0a28b8c... by Michael Biebl on 2009-04-09

Import patches-unapplied version 0.6.93-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 4892f81aead3b770e2f826be076dc8248fd54362

New changelog entries:
  * New upstream release.
  * debian/tracker-utils.install
    - Install tracker-processes binary.
  * debian/libtrackerclient0.symbols
    - Updated for new API additions.
  * debian/control
    - Add Build-Depends on libvorbis-dev (>= 0.22).
  * debian/rules
    - Add --enable-libvorbis to configure flags for the vorbis metadata
      extractor.

4892f81... by Michael Biebl on 2009-03-30

Import patches-unapplied version 0.6.92-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 95d42cbcf1eb734fabf1034ea9b1a624bc41fd0d

New changelog entries:
  * New upstream release.
  * debian/watch
    - Check for the tarball directly on the GNOME ftp server.
  * debian/patches/01-tracker-statistics-fix.patch
    - Removed, merged upstream.
  * debian/libtracker{client,-gtk}-dev.install
    - Upstream no longer builds static libraries, so remove *.a files.
  * debian/tracker.install
    - Install the new-style push modules. Currently available is kmail
      support, evolution support requires at least version 2.25.5 of evolution
      and eds which are not yet in unstable.
  * debian/control
    - Tighten build dependency on libraptor1-dev to (>= 1.4.18-2) to make sure
      we link against a version with GnuTLS support and not OpenSSL.
      Closes: #519684
  * debian/patches/10-drop-bogus-version-info.patch
    - Revert bogus libtool so-versioning.